Bug 711224 - [abrt] timidity++-2.13.2-21.fc14: strlen: Process /usr/bin/timidity was killed by signal 11 (SIGSEGV)
Summary: [abrt] timidity++-2.13.2-21.fc14: strlen: Process /usr/bin/timidity was kille...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5e4f326bea745a52a8f01ed2c31...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-06 21:12 UTC by Dirk Hoffmann
Modified: 2013-07-02 23:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:25:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (9.54 KB, text/plain)
2011-06-06 21:12 UTC, Dirk Hoffmann
no flags Details

Description Dirk Hoffmann 2011-06-06 21:12:29 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 9773 bytes
cmdline: timidity -iw
component: timidity++
Attached file: coredump, 2465792 bytes
crash_function: strlen
executable: /usr/bin/timidity
kernel: 2.6.35.13-91.fc14.i686.PAE
package: timidity++-2.13.2-21.fc14
rating: 4
reason: Process /usr/bin/timidity was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1307388052
uid: 500

comment
-----
shell:
$ timidity -iw

How to reproduce
-----
Trying to call "timidity -iw" from standard installation.

Comment 1 Dirk Hoffmann 2011-06-06 21:12:31 UTC
Created attachment 503333 [details]
File: backtrace

Comment 2 David W. Legg 2011-07-09 10:50:45 UTC
Package: timidity++-2.13.2-21.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. timidity -iD
2. segmentation fault
3.

Comment 3 Jindrich Novy 2011-07-27 13:43:33 UTC
It is now fixed in rawhide. It is caused by uninitialized element of an Alsa structure in detection.

Comment 4 Fedora Update System 2011-11-07 21:38:00 UTC
timidity++-2.13.2-25.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/timidity++-2.13.2-25.fc16

Comment 5 Fedora Update System 2011-11-07 21:39:06 UTC
timidity++-2.13.2-25.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/timidity++-2.13.2-25.fc15

Comment 6 Fedora Update System 2011-11-21 00:01:43 UTC
timidity++-2.13.2-25.fc16.1 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-21 22:52:25 UTC
timidity++-2.13.2-25.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 David W. Legg 2011-11-28 10:16:14 UTC
Package: timidity++-2.13.2-21.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.timidity -iA -OJ
2.
3.
Segmentation fault (core dumped)

Comment 9 Hans de Goede 2011-11-28 10:33:05 UTC
(In reply to comment #8)
> Package: timidity++-2.13.2-21.fc14
> Architecture: x86_64
> OS Release: Fedora release 14 (Laughlin)
> 
> 
> How to reproduce
> -----
> 1.timidity -iA -OJ
> 2.
> 3.
> Segmentation fault (core dumped)

Hi,

Fedora 14 is going end of life real soon now, please upgrade to Fedora 15 or 16, which has a fix for this.

Comment 10 Fedora End Of Life 2012-08-16 22:25:38 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.